Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 387237 - x11-drivers/nvidia-drivers-285.05.09 causes random hang in ImageMagick convert
Summary: x11-drivers/nvidia-drivers-285.05.09 causes random hang in ImageMagick convert
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-15 19:09 UTC by Joe Peterson (RETIRED)
Modified: 2012-07-22 22:13 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Peterson (RETIRED) gentoo-dev 2011-10-15 19:09:09 UTC
When running ImageMagick's convert utility, the process will sometimes hang, using 100% CPU.  Ctrl-C will not interrupt the program (it must be killed).  It is somewhat random, but after converting a series of 10 to 50 files or so, it will eventually happen.  With nvidia-drivers-285.03, this problem does not occur.

The command line is of the form:

    convert -type Grayscale -depth 8 -density 144.0 -trim svg/12-048_12-043.svg png/12-048.png

While convert is hung, using gdb to get a backtrace shows this (if a non-stripped version would be helpful, I can try to obtain one, but the pertinent thing is the first line):

#0  0x00007ff8e340ec21 in _nv012tls ()
   from /usr/lib64/opengl/nvidia/lib/libnvidia-tls.so.285.05.09
#1  0x00007ff8e5976e33 in ?? () from /usr/lib64/libGL.so.1
#2  0x00007ff8e5956379 in ?? () from /usr/lib64/libGL.so.1
#3  0x00007ff8f2cf8905 in ?? () from /lib64/ld-linux-x86-64.so.2
#4  0x00007ff8f2cf936e in ?? () from /lib64/ld-linux-x86-64.so.2
#5  0x00007ff8f2cf38c6 in ?? () from /lib64/ld-linux-x86-64.so.2
#6  0x00007ff8ef91066c in ?? () from /lib64/libdl.so.2
#7  0x00007ff8ef9101bf in dlclose () from /lib64/libdl.so.2
#8  0x00007ff8efb19bbc in ?? () from /usr/lib64/libltdl.so.7
#9  0x00007ff8efb179dd in lt_dlclose () from /usr/lib64/libltdl.so.7
#10 0x00007ff8f2964691 in ?? () from /usr/lib64/libMagickCore.so.5
#11 0x00007ff8f29ce688 in DestroySplayTree ()
   from /usr/lib64/libMagickCore.so.5
#12 0x00007ff8f2964921 in DestroyModuleList ()
   from /usr/lib64/libMagickCore.so.5
#13 0x00007ff8f2965663 in ModuleComponentTerminus ()
   from /usr/lib64/libMagickCore.so.5
#14 0x00007ff8f296118a in MagickCoreTerminus ()
   from /usr/lib64/libMagickCore.so.5
#15 0x00000000004009cd in ?? ()
#16 0x00007ff8f1fa009d in __libc_start_main () from /lib64/libc.so.6
#17 0x0000000000400899 in ?? ()
#18 0x00007fffd8176cb8 in ?? ()
#19 0x000000000000001c in ?? ()
#20 0x000000000000000a in ?? ()
#21 0x00007fffd81771ea in ?? ()
#22 0x00007fffd81771f2 in ?? ()
#23 0x00007fffd81771f8 in ?? ()
#24 0x00007fffd8177202 in ?? ()
#25 0x00007fffd8177209 in ?? ()
#26 0x00007fffd817720b in ?? ()
#27 0x00007fffd8177214 in ?? ()
#28 0x00007fffd8177222 in ?? ()
#29 0x00007fffd8177228 in ?? ()
#30 0x00007fffd817723e in ?? ()
#31 0x0000000000000000 in ?? ()

This is what led me to try an earlier version of nvidia-drivers.  Note that Nvidia's web site about this version (http://www.nvidia.com/object/linux-display-amd64-285.05.09-driver.html) lists "Fixed a bug causing some applications to hang on exit." as one of the items *fixed* in this version, which is ironically what may, indeed, be happening (since the image that convert is producing at the time seems complete, even though the process is hung).


Portage 2.1.10.27 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.13-r4, 3.0.4 x86_64)
=================================================================
System uname: Linux-3.0.4-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9650_@_3.00GHz-with-gentoo-2.1
Timestamp of tree: Sat, 15 Oct 2011 13:00:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.7-r2, 2.7.2-r3, 3.1.4-r3, 3.2.2
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.5, 4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r3
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo cvs joes
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/joe/gentoo/cvs/gentoo-x86 /home/joe/gentoo/joes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cleartype cli consolekit corefonts cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gpm gtk iconv ipv6 jpeg lame lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt3support qt4 readline sdl session spell sse sse2 ssl startup-notification svg sysfs tcpd tiff tk truetype type1 udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Chí-Thanh Christopher Nguyễn gentoo-dev 2011-10-15 23:59:05 UTC
What if you run convert with LIBGL_ALWAYS_SOFTWARE=1 set?
Comment 2 Joe Peterson (RETIRED) gentoo-dev 2011-10-17 15:06:54 UTC
(In reply to comment #1)
> What if you run convert with LIBGL_ALWAYS_SOFTWARE=1 set?

Nope...I tried setting this in the shell before running the convert process, but it still hangs.
Comment 3 Doug Goldstein gentoo-dev 2012-07-22 22:13:26 UTC
Since this issue is occurring in the closed part of the driver please run nvidia-bug-report.sh and e-mail the output along with a description of the issue to linux-bugs@nvidia.com